Name:           mcabber
Version:        0.9.9
Release:        1%{?dist}
Summary:        Console Jabber instant messaging client

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.lilotux.net/~mikael/mcabber/
Source0:        http://www.lilotux.net/~mikael/mcabber/files/mcabber-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  aspell-devel gpgme-devel ncurses-devel openssl-devel glib2-devel gettext-devel libotr-devel


%description
mcabber is a console Jabber instant messaging/chat client with SSL support, MUC
(Multi-User Chat) support, history logging, commands completion, and external
action triggers.

%prep
%setup -q

%build
%configure --disable-dependency-tracking --enable-aspell --enable-otr
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Let's get the executable bits off the contrib files, avoiding unwanted deps.

find contrib/ -type f | xargs chmod -x

# Delete the rather broken and fairly useless desktop file, this is a console
# app after all..
rm -f %{buildroot}%{_datadir}/applications/*mcabber.desktop

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc contrib AUTHORS COPYING ChangeLog INSTALL NEWS README doc/README_PGP.txt TODO *.example
%{_bindir}/mcabber
%{_mandir}/man1/mcabber.1*
%{_datadir}/mcabber

%changelog
* Sun Oct 12 2008 Michael Fleming <mfleming+rpm@enlartenment.com> - 0.9.9-1
- Upgrade to 0.9.9
- Revert to using OpenSSL (#bz 389481)

* Sat Jun 28 2008 Michael Fleming <mfleming+rpm@enlartenment.com> - 0.9.7-1
- Version upgrade (#bz 452437)
- Build against GNUTLS 2.4

* Sat Feb 23 2008 Michael Fleming <mfleming+rpm@enlartenment.com> - 0.9.6-1
- Version upgrade to fix longstanding EVR issue :-)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.4-2
- Autorebuild for GCC 4.3

* Sun Oct 28 2007 Michael Fleming <mfleming+rpm@enlartenment.com> - 0.9.4-1
- New upstream release
- Use GnuTLS in place of OpenSSL
- Enable OTR (Off The Record) support.

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.9.3-6
- Correct location of README_PGP.txt

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.9.3-5
- Rebuild for selinux ppc32 issue.

* Sun Aug 26 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 0.9.3-4
- Update License tag
- Add README_PGP.txt (RH #250603)

* Wed Jul 25 2007 Jesse Keating <jkeating@redhat.com> - 0.9.3-3
- Rebuild for RH #249435

* Tue Jul 10 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 0.9.3-2
- Remove broken .desktop file - it's not really needed for a console app.

* Thu Jun 21 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 0.9.3-1.mf
- Upstream update
- Fix .desktop file categories.

* Sun Jun 17 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 0.9.2-2.mf
- Actually enable aspell support this time.

* Wed Jun 13 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 0.9.2-1.mf
- Upstream update
- Add aspell-devel BR for spellchecking support (in an IM client? What?!)
- Use the .desktop file as Mikael has been kind enough to include one.

* Sun Feb 11 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 0.9.1-1.mf
- Upstream update

* Sun Dec 17 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 0.9.0-1.mf
- Upstream update
- GPG support enabled (added gpgme-devel to BR:)

* Sun Nov 19 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 0.8.3-1.mf
- Upstream update

* Wed Sep 20 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 0.8.2-1.mf
- Upstream update

* Tue Aug 22 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 0.8.1-1.mf
- Upstream update (small keybinding fixes)

* Mon Aug 14 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 0.8.0-1.mf
- Upstream update

* Wed Jun 28 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 0.7.8-1.mf
- Upstream update (skipped 0.7.7 due to makefile oddity).

* Thu May 11 2006 Michael Fleming <mfleming+rpm@enlartenment.com> 0.7.6-1.mf
- Initial package.

